Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/execution/SymbolInstallerExtension.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/execution/SymbolInstallerExtension.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/execution/SymbolInstallerExtension.java	(revision 43126)
@@ -23,22 +23,22 @@
  */
 package org.gvsig.symbology.app.symbolinstaller.execution;
 
+
 import java.io.File;
-import java.util.Locale;
-
 import org.gvsig.andami.IconThemeHelper;
+import org.gvsig.andami.PluginsLocator;
+import org.gvsig.andami.PluginsManager;
 import org.gvsig.andami.plugins.Extension;
 import org.gvsig.andami.ui.ToolsWindowManager;
 import org.gvsig.fmap.mapcontext.MapContextLocator;
 import org.gvsig.fmap.mapcontext.rendering.symbols.SymbolManager;
 import org.gvsig.i18n.Messages;
-import org.gvsig.installer.lib.api.InstallerLocator;
-import org.gvsig.installer.lib.api.InstallerManager;
 import org.gvsig.symbology.app.symbolinstaller.creation.DefaultMakeSymbolPackageWizard;
 import org.gvsig.tools.swing.api.windowmanager.WindowManager;
 
 public class SymbolInstallerExtension extends Extension {
 
+    @Override
     public void initialize() {
 
         IconThemeHelper.registerIcon("symbol-installer", "wizard-make-symbol-package", this);
@@ -46,23 +46,26 @@
 
     @Override
     public void postInitialize() {
-        InstallerManager im = InstallerLocator.getInstallerManager();
+        PluginsManager pluginsManager = PluginsLocator.getManager();
         
-        SymbolManager sym_man = MapContextLocator.getSymbolManager();
-        File symbolsDirectory =
-            new File(sym_man.getSymbolPreferences().getSymbolLibraryPath());
+        SymbolManager symbolManager = MapContextLocator.getSymbolManager();
+        File symbolsFolder = new File(symbolManager.getSymbolPreferences().getSymbolLibraryPath());
 
-        im.setDefaultLocalAddonRepository(symbolsDirectory,SymbolInstallerExecutionProviderFactory.PROVIDER_NAME);
+        SymbolsInstallerInitializer initializer = new SymbolsInstallerInitializer();
+        initializer.perform(pluginsManager.getPlugin(this).getPluginName(), symbolsFolder);
     }
 
+    @Override
     public boolean isEnabled() {
         return true;
     }
 
+    @Override
     public boolean isVisible() {
         return true;
     }
 
+    @Override
     public void execute(String actionCommand) {
         if (actionCommand.equals("Create_Package")) {
             DefaultMakeSymbolPackageWizard wizard =
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/execution/SymbolInstallerExecutionProvider.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/execution/SymbolInstallerExecutionProvider.java	(revision 43125)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/src/main/java/org/gvsig/symbology/app/symbolinstaller/execution/SymbolInstallerExecutionProvider.java	(revision 43126)
@@ -27,8 +27,6 @@
 import java.io.IOException;
 import java.io.InputStream;
 
-import org.gvsig.fmap.mapcontext.MapContextLocator;
-import org.gvsig.fmap.mapcontext.rendering.symbols.SymbolManager;
 import org.gvsig.installer.lib.api.PackageInfo;
 import org.gvsig.installer.lib.api.execution.InstallPackageServiceException;
 import org.gvsig.installer.lib.spi.InstallPackageProviderServices;
@@ -40,9 +38,11 @@
 
 public class SymbolInstallerExecutionProvider extends AbstractProvider
     implements InstallPackageProvider {
+    private final File symbolsFolder;
 
-    public SymbolInstallerExecutionProvider(ProviderServices providerServices) {
+    public SymbolInstallerExecutionProvider(ProviderServices providerServices, File symbolsFolder) {
         super(providerServices);
+        this.symbolsFolder = symbolsFolder;
     }
 
     public class InstallerSymbolsDirectoryNotFoundException extends
@@ -57,16 +57,12 @@
         }
     }
 
+    @Override
     public void install(File applicationDirectory, InputStream inputStream,
         PackageInfo packageInfo) throws InstallPackageServiceException {
-
         
-        SymbolManager sym_man = MapContextLocator.getSymbolManager();
-        File symbolsDirectory =
-            new File(sym_man.getSymbolPreferences().getSymbolLibraryPath());
-
         try {
-            if (!symbolsDirectory.exists()) {
+            if (!symbolsFolder.exists()) {
                 throw new InstallerSymbolsDirectoryNotFoundException();
             }
             InstallerProviderManager installerProviderManager =
@@ -74,13 +70,14 @@
             InstallPackageProviderServices installerProviderServices =
                 installerProviderManager.createInstallerProviderServices();
 
-            installerProviderServices.decompress(inputStream, symbolsDirectory);
+            installerProviderServices.decompress(inputStream, symbolsFolder);
 
         } catch (Exception e) {
             throw new InstallPackageServiceException(e);
         }
     }
 
+    @Override
     public void installLater(File applicationDirectory,
         InputStream inputStream, PackageInfo packageInfo)
         throws InstallPackageServiceException, IOException {
